For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList versions for a flow
      • POSTPublish a specific flow version
      • GETGet the published version for a flow
      • GETGet a specific flow version
Dashboard
LogoLogo
Runtype APIFlow Versions

Publish a specific flow version

POST
/v1/flow-versions/:flowId/publish
POST
/v1/flow-versions/:flowId/publish
$curl -X POST https://api.runtype.com/v1/flow-versions/flowId/publish \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "versionId": "flowver_01jv0000000000000000000001"
>}'
1{
2 "flowId": "string",
3 "message": "string",
4 "success": true,
5 "versionId": "string"
6}
Was this page helpful?
Previous

Get the published version for a flow

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

flowIdstringRequired

Request

This endpoint expects an object.
versionIdstringRequired>=1 character

Response

Version published
flowIdstring
messagestring
successboolean
versionIdstring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error